/*------------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved. 
------------------------------------------------------------------------------------*/ 

package com.togethersoft.modules.xmleditor.dtd;

import java.util.*;

public interface DTDValueDef
{
  // data types
  int DT_CDATA      = 0;
  int DT_ENUMERATED = 1;
  
  // default modifiers
  int DM_REQUIRED = 0;
  int DM_IMPLIED  = 1;
  int DM_FIXED    = 2;

  int     getDataType();
  void    setDataType (int dataType);
  String  getValueTypeName();
  void    setValueTypeName (String typeName);
  void    addEnumValue (String value);
  Vector  getEnumValues();
  int     getDefaultModifier();
  void    setDefaultModifier (int newDefaultModifier);
  String  getDefaultValue();
  void    setDefaultValue (String value);

  String  getFullName();
}
